function [optionValues] = oilPriceSensitivity()
  process= "OU" ;%"GBM"
      if process== "GBM"
        vol=0.3013;
      elseif process== "OU"
        vol=0.2133;
      end

fx= 7.5;
r = 0.0188;
lifetime= 14;
divYield= r;
nSteps= 1500;
researchLag = 0 ; 
developT = 2;  %Development time of the platform
expirationT=5; %Latest time of exercising 
Abex = 600;
researchCost= 20*fx;
wellCapacity= 8000;
wellCost = 75 * fx;
nScenarios=4 ;%4
MR=0.014059;
avgOilP=55.3863 * fx;
%------------------------------------------------------------------------------------------------------------------------
    %Data input
    excelFileName= 'RO-Model-without-sensitivity(WithVBAoneLoop)OneThird.xlsm';
  

    %probDistribution: distribution of cases for each scenario
    %resultDistribution: Distribution of appraisal results
    [probDistribution,resultDistribution]=getProbDistribution(excelFileName); %gets input from excel

    startRow=2;
    endRow=1709;
    
    PriceRange = strcat('A',num2str(startRow),':A',num2str(endRow));
    oilPrices = fx* xlsread(excelFileName,'Oil Price Sensitivity',PriceRange);
    rows= any(isnan(oilPrices),2);
    oilPrices(rows,:) =[];
    
    wellRange= strcat('B',num2str(startRow),':B',num2str(endRow));
    n_w = xlsread(excelFileName,'Oil Price Sensitivity',wellRange);
    rows= any(isnan(n_w),2);
    n_w(rows,:) =[];
    
    qpRange= strcat('C',num2str(startRow),':C',num2str(endRow));
    qp= xlsread(excelFileName,'Oil Price Sensitivity',qpRange);
    rows= any(isnan(qp),2);
    qp(rows,:) =[];
    
    prodProfileRange = strcat('E',num2str(startRow),':R',num2str(endRow));
    productionProfiles = getProductionProfiles(excelFileName, prodProfileRange,'Oil Price Sensitivity');

    
    %developCost constants
    dataSheet='Data';
    qp_ref = xlsread(excelFileName, dataSheet,'F3')/10^6;
    b= xlsread(excelFileName, dataSheet,'C27')*fx/(2* qp_ref);
 %------------------------------------------------------------------------------------------------------------------------%

%scenario = nan(nCases,lifetime,4);

    i=0;
    
    for u = 1 : length(oilPrices)
        oilP0 = oilPrices(u);
        
        %developcost
        developCost=(zeros(4,1));

        %---------------------------------------------------
        for j=1:nScenarios
             %developCost(j)= b*qp(j) + 0.5 * n_w(j)*wellCost; 
            developCost(j)= b*qp(j + 4*i) + 0.5 * n_w(j+4*i)*wellCost;  
        end
      
        %Extract production profiles corresponding to initial oilprice
        %---------------------------------------------------
   
   
        %i : offset in output sheet
        scenario(:,:,1)=productionProfiles(1+28*i : 7+28*i ,  :);
        
        if nScenarios >1
         scenario(:,:,2)=productionProfiles(8+28*i : 14+28*i,  :);
        end
        
        if nScenarios>2
              scenario(:,:,3)=productionProfiles(15+28*i: 21+28*i,  :);
        end
        
        if nScenarios >3
              scenario(:,:,4)=productionProfiles(22+28*i: 28+28*i,  :);
           
        end   
        %Get optionvalues
        
          tempOptionValues=  optionModel (scenario, oilP0, vol, r, lifetime, divYield, nSteps, developT,researchLag,developCost, Abex ...
                                        , probDistribution, resultDistribution,researchCost,expirationT,nScenarios,process,avgOilP,MR);
       
                           
                                 
       optionValues(u,1:6)=[oilP0/fx,tempOptionValues];
       optionValues(u,7)= optionValues(u,6) - optionValues(u,2);
      % optionValues(u,2:end)=tempOptionValues;
        
                                   
       i=i+1;     
    end

   % fprintf('   Oil price   Apriori   Res1     Res 2    Res 3   Appraisal')

end