function [optionValues] = optionModel (scenario, oilP0, vol, r, lifetime, divYield, nSteps, developT,researchLag,developCost, Abex ...
                                        , probDistribution, resultDistribution,researchCost,expirationT,nScenarios,process,avgOilP,MR)
 %T: Latest development time

    nCases= 7;
   
    tempOptionValue= zeros(4,7);

for sIndex=1:nScenarios 
           for caseI = 1: nCases
                %tempOptionValue is now a 4x7 matrix including each case optionvalue for each scenario. 
                %Function input is: caseprofile for scenario i and scenario index for calling on correct capex.
                %tempOptionValue(sIndex,caseI) =  optionValueGBM(productionProfiles(sIndex*caseI,:), sIndex);
                tempProfile= scenario(caseI,:,sIndex);
                
                
                
                %Calculate optionvalue each scenario and case
                if process == "GBM"
                    tempOptionValue(sIndex,caseI) = optionValueGBM(tempProfile,sIndex, oilP0, vol, r, lifetime, divYield, nSteps,...
                                                        developT,researchLag,developCost,Abex,expirationT);      
            
                elseif process == "OU"
                    tempOptionValue(sIndex,caseI) = optionValueOU(tempProfile,sIndex, oilP0, vol, r, lifetime, divYield, nSteps,...
                                        developT,researchLag,developCost,Abex,expirationT,avgOilP,MR) ;  
                end
            end

        optionVal = zeros(1,4);

     for caseI = 1:nCases

            %Option val without research, with research given res1, ...
            %must probability adjust each option value for all cases in all
            %scenarios
            optionVal(1) = optionVal(1) + probDistribution(caseI,1)*tempOptionValue(1,caseI);
            optionVal(2) = optionVal(2) + probDistribution(caseI,2)*tempOptionValue(2,caseI);
            optionVal(3) = optionVal(3) + probDistribution(caseI,3)*tempOptionValue(3,caseI);
            optionVal(4) = optionVal(4) + probDistribution(caseI,4)*tempOptionValue(4,caseI);
      end

        optionValWres = 0;
      for j= 2:4 
          %  optionVal(j) = optionVal(j)- researchCost;

            %Expected option value with research
            optionValWres = optionValWres + resultDistribution(j-1)* optionVal(j);
       end
    %optionValWres= optionValWres- researchCost;
    
                    %optionvalues a priori, res 1,2,3 and expected with appraisal
    optionValues= [optionVal,optionValWres];
end